import React from 'react';
import { NavigationUrlApply, TPagination } from '../types';
interface PaginationProps {
    pagination: TPagination;
    currentPage: number;
    setCurrentPage(page: number): void;
    offset: number;
    setOffset(page: number): void;
    tableKey: string;
    configUrlApply?: NavigationUrlApply;
}
declare function Pagination({ pagination, currentPage, setCurrentPage, offset, setOffset, tableKey, configUrlApply, }: PaginationProps): React.JSX.Element;
export default Pagination;
